Subject: Re: Making my own floppy based router/firewall
From: Glenn McGrath <[email-masked]>
To: Harman Nagra <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Apr 2002 20:14:36 +1000

On Tue, 02 Apr 2002 15:17:55 +1000
"Harman Nagra" <[email-masked]> wrote:

> Hi Guys,
> 
> This may sound out of my league but I wanna learn how to "make" my own
> floppy based linux distro ( which will perform as a router/firewall),
> eg. Coyotelinux.
> 
> I did a bit of search on google but stil have not even the slightest
> idea where I should start?
> 
> This is purely for learning purpose. So any pointers, help would be
> great.
> 

Bootdisk HOWTO
http://www.linuxdoc.org/HOWTO/Bootdisk-HOWTO/

Linux From Scratch
http://www.linuxfromscratch.org/

Other than that you can have a look at how other mini-distros do it, of
which there are quite a few.

Glenn

Date: Wed, 03 Apr 2002 07:04:20 +1000
From: Sam Varghese <[email-masked]>
Subject: Re: Making my own floppy based router/firewall
To: [email-masked]

On Wed, Apr 03, 2002 at 02:00:16AM +1000, Shane Mattson wrote:
> A worthy endeavour, but why stop at just a floppy?
> 
> Check out the bootable business card (http://www.lnx-bbc.org/), a
> CD-based distro which you can customise.

Another single floppy distro is at

http://rute.sourceforge.net/morecram-1.3.tar.gz

The manual available at the main site also details in Chapter 17 what 
packages can be used to build a single floppy distribution.

Sam
-- 
Sam Varghese
http://www.gnubies.com
One World, one Web, one Program - Microsoft promotional ad
Ein Volk, ein Reich, ein Fuhrer - Adolf Hitler

Date: Wed, 03 Apr 2002 04:13:04 -0800
From: John Quirk <[email-masked]>
Subject: Re: Making my own floppy based router/firewall
To: Harman Nagra <[email-masked]>
Cc: [email-masked]

Harman Nagra wrote:

>Hi Guys,
>
>This may sound out of my league but I wanna learn how to "make" my own
>floppy based linux distro ( which will perform as a router/firewall),
>eg. Coyotelinux.

>I did a bit of search on google but stil have not even the slightest
>idea where I should start?
>
http://www.toms.net/rb/
http://www.trustix.net/
http://www.freesco.org/
http://trinux.sourceforge.net/

also look at LDP's site for linux from scratch its a good source on 
howto create a distribution.
most of theses distributions use a libary of tools called busybox 
http://www.busybox.net/

To generate these you need a big version of linux to create the system 
another option is
http://www.devil-linux.org/ which is a CD rom version of what you want 
to do.

Also you will need to consider how secure the basic kernel is so also 
look at
http://www.lids.org/about.html
http://www.grsecurity.net/
http://www.openwall.com/

Good luck with this as with opensource there is pleanty of information 
out there

John Quirk